#!/usr/bin/env python3

import subprocess
import astropy.io.fits

def do_fits(fil):
    hdu = astropy.io.fits.open(fil)
#    hdu.info()
#    print(hdu[0].header)
    t = hdu[0].header['DATE-OBS']
    return t

def main():

    files = subprocess.check_output("ls *.fits", shell=True)
    files = files.split()

    f = open("fits.out", "w")

    for fil in files:
        t = do_fits(fil)
        f.write("%s\n" % t)

    f.close()

if __name__ == "__main__":
    main()

